Package org.jbpm.executor.impl.event

## Interface ExecutorEventSupport

- All Superinterfaces:
    `Externalizable`, `Serializable`
  All Known Implementing Classes:
    `ExecutorEventSupportImpl`

      public interface ExecutorEventSupport
      extends Externalizable

  Interface for ExecutorEventSupportImpl and ExecutorEventSupportEJBImpl so they both can be referenced by one type because the ExecutorEventSupportEJBImpl is no longer a subtype of ExecutorEventSupportImpl since it would violate EJB public methods specification like no final and synchronized public methods. This way, both ExecutorEventSupportImpl and ExecutorEventSupportEJBImpl can be used interchangeably depending on which implementation of ExecutionEventSupport should be used, i.e. plain Java implementation or EJB implementation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEventListener​(AsynchronousJobListener listener)` |
    `void` | `fireAfterJobCancelled​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `void` | `fireAfterJobExecuted​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `void` | `fireAfterJobScheduled​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `void` | `fireBeforeJobCancelled​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `void` | `fireBeforeJobExecuted​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `void` | `fireBeforeJobScheduled​(org.kie.api.executor.RequestInfo job, Throwable exception)` |
    `List<AsynchronousJobListener>` | `getEventListeners()` |
    `void` | `removeEventListener​(Class cls)` |
    `void` | `removeEventListener​(AsynchronousJobListener listener)` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### addEventListener

          void addEventListener​(AsynchronousJobListener listener)

    - #### removeEventListener

          void removeEventListener​(Class cls)

    - #### removeEventListener

          void removeEventListener​(AsynchronousJobListener listener)

    - #### getEventListeners

          List<AsynchronousJobListener> getEventListeners()

    - #### fireBeforeJobScheduled

          void fireBeforeJobScheduled​(org.kie.api.executor.RequestInfo job,
                                      Throwable exception)

    - #### fireBeforeJobExecuted

          void fireBeforeJobExecuted​(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)

    - #### fireBeforeJobCancelled

          void fireBeforeJobCancelled​(org.kie.api.executor.RequestInfo job,
                                      Throwable exception)

    - #### fireAfterJobScheduled

          void fireAfterJobScheduled​(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)

    - #### fireAfterJobExecuted

          void fireAfterJobExecuted​(org.kie.api.executor.RequestInfo job,
                                    Throwable exception)

    - #### fireAfterJobCancelled

          void fireAfterJobCancelled​(org.kie.api.executor.RequestInfo job,
                                     Throwable exception)